org.apache.lucene.search

## Class SortedSetSelector

- java.lang.Object
- - org.apache.lucene.search.SortedSetSelector

-     public class SortedSetSelector
      extends Object

  Selects a value from the document's set to use as the representative value

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SortedSetSelector.Type` Type of selection to perform.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SortedSetSelector()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SortedDocValues` | `wrap(SortedSetDocValues sortedSet, SortedSetSelector.Type selector)` Wraps a multi-valued SortedSetDocValues as a single-valued view, using the specified selector

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SortedSetSelector

          public SortedSetSelector()

  - ### Method Detail

    - #### wrap

          public static SortedDocValues wrap(SortedSetDocValues sortedSet,
                                             SortedSetSelector.Type selector)

      Wraps a multi-valued SortedSetDocValues as a single-valued view, using the specified selector

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.